de.esprit.appsuite.xml

## Class AttrList

- java.lang.Object
- - de.esprit.appsuite.xml.AttrList

-     public class AttrList
      extends java.lang.Object

  This class models tag attributes which just consist of key-value pairs.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttrList()`
    `AttrList(AttrList attrs)`
    `AttrList(java.lang.String key, java.lang.String value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttrList` | `add(java.lang.String key, boolean value)`
    `AttrList` | `add(java.lang.String key, double value)`
    `AttrList` | `add(java.lang.String key, long value)`
    `AttrList` | `add(java.lang.String key, java.lang.Object value)`
    `AttrList` | `add(java.lang.String key, java.lang.String value)`
    `void` | `clear()`
    `boolean` | `isEmpty()`
    `AttrList` | `set(java.lang.String key, boolean value)`
    `AttrList` | `set(java.lang.String key, double value)`
    `AttrList` | `set(java.lang.String key, long value)`
    `AttrList` | `set(java.lang.String key, java.lang.String value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AttrList

          public AttrList()

    - #### AttrList

          public AttrList(java.lang.String key,
                  java.lang.String value)

    - #### AttrList

          public AttrList(AttrList attrs)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### add

          public AttrList add(java.lang.String key,
                     java.lang.String value)

    - #### add

          public AttrList add(java.lang.String key,
                     java.lang.Object value)

    - #### add

          public AttrList add(java.lang.String key,
                     boolean value)

    - #### add

          public AttrList add(java.lang.String key,
                     long value)

    - #### add

          public AttrList add(java.lang.String key,
                     double value)

    - #### set

          public AttrList set(java.lang.String key,
                     java.lang.String value)

    - #### set

          public AttrList set(java.lang.String key,
                     boolean value)

    - #### set

          public AttrList set(java.lang.String key,
                     long value)

    - #### set

          public AttrList set(java.lang.String key,
                     double value)

    - #### clear

          public void clear()

    - #### isEmpty

          public boolean isEmpty()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.